#ifndef	__LCD_H__
#define	__LCD_H__
//*******************************************************
//
//	Color LCD Clock
//
//	液晶表示関係()
//
//	ATmega1284p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	JTAG禁止, EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.4
//				AVR-LIBC	1.6.7
//				binutils	2.20
//
//	2011.5.14	KAWAKAMI Yukio
//*******************************************************

#define	LCD_WIDTH	128
#define	LCD_HEIGHT	160


#define	COLOR_BLACK		0
#define	COLOR_WHITE		0xFFFF
#define	COLOR_RED		0xF800
#define	COLOR_GREEN		0x07E0
#define	COLOR_BLUE		0x001F
#define	COLOR_YELLOW	COLOR_GREEN|COLOR_RED
#define	COLOR_CYAN		COLOR_GREEN|COLOR_BLUE
#define	COLOR_MAGENTA	COLOR_RED|COLOR_BLUE

#define	RGB(r,g,b)	((r<<11)|(g<<5)|b)

void LCD_com_data(uchar com, uchar data);

void LCD_init(void);
void set_window(uchar xs, uchar ys, uchar xe, uchar ye);
void fill_rect(uchar xs, uchar ys, uchar xe, uchar ye, uint color);
void rectangle(uchar xs, uchar ys, uchar xe, uchar ye, uint color);
void clear_LCD(void);

void locate(int x, int y);
void color(uint color);
void back_color(uint color);

void putch(char ch);
void print(char *str);
void print_P(PGM_VOID_P str);


#endif	// __LCD_H__
